# This script was written by Noam Rathaus <noamr@securiteam.com>
#
# See the Nessus Scripts License for details
#

 desc["english"] = "We tried to detect the Amanda Index Server's 
version by connecting to the server and processing the buffer received.
This information gives potential attackers additional information about the
system they are attacking. Versions should be omitted where possible.

Solution: Change the version number to something generic (like: 0.0.0.0)

Risk factor : Low";


if(description)
{
 script_id(10742); 

 name["english"] = "Amanda Index Server version";
 script_name(english:name["english"]);

 desc["english"] = "We tried to detect the Amanda Index Server's 
version by connecting to the server and processing the buffer received.
This information gives potential attackers additional information about the
system they are attacking. Versions should be omitted where possible.

Solution: Change the version number to something generic (like: 0.0.0.0)

Risk factor : Low";

 script_description(english:desc["english"]);

 summary["english"] = "Amanda Index Server version";
 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_copyright(english:"This script is Copyright (C) 2001 SecuriTeam");
 family["english"] = "General";
 script_family(english:family["english"]);
 script_require_ports("Services/amandaidx", 10082);
 exit(0);
}


#
# The script code starts here
#

port = get_kb_item("Services/amandaidx");
if (!port) port = 10082;

soctcp10082 = open_sock_tcp(port);
if (soctcp10082)
{
 result = recv(socket:soctcp10082, length:1000);
 
 Amanda_version = "";

 if ("mysql AMANDA index server" >< result)
 {
  
  result = result - string("220 mysql AMANDA index server "); 
  result = result - raw_string(0x28);
  result = result - raw_string(0x29);
  result = result - string(" ready");
  result = result - raw_string(0x0D, 0x0A);

  Amanda_version = result;
  report = string(desc["english"], 
  		"\n\nThe remote Amanda Server version is : ",
  		Amanda_version, 
		"\n"); 
  security_note(port:port, data:report);
 }
}
